# tuyau.hpp File Reference

defines the implementation of pipe under the generic_file interface. More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "thread_cancellation.hpp"`

Go to the source code of this file.

## Classes
class | libdar::tuyau
| pipe implementation under the generic_file interface. More...
## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

defines the implementation of pipe under the generic_file interface.

mainly used between zapette and slave_zapette, this is a full implementation if the generic_file interface that takes care of dead lock when two pipes needs to be openned between the same two entities, each having one for reading and the other for writing.

Definition in file tuyau.hpp.